fai-setup(8)

NAME
fai-setup - Setup script for Fully Automatic Installation (FAI)

SYNOPSIS
fai-setup

DESCRIPTION
Fully Automatic Installation (FAI) is used to provide unattended installation of Debian GNU/Linux operating systems with a very flexible class-based system. fai-setup is a shell script written for FAI to create the initial NFSROOT directory, add that directory to the NFS exports configuration file (/etc/exports), prepare the files as necessary to create the network boot floppy disk, and create the initial fai user that is used for copying over the installation logs to a centralized directory on the server. fai-make-nfsroot(8) is called to create the initial NFS root directory. fai-setup should be called after each change to /etc/fai/fai.conf.

OPTIONS

All options are also passed to fai-make-nfsroot.

-C CFDIR
    Use CFDIR as configuration directory. Default is /etc/fai. You can also set the environment variable FAI_ETC_DIR.

-e  Expert mode. Do not add entries to /etc/export and do not restart the nfs nserver.

SEE ALSO
This program is part of FAI (Fully Automatic Installation). See the FAI manual for more information on how to use fai-setup. The FAI homepage is http://fai-project.org.
fai-make-nfsroot(8), exports(5)

FILES
The FAI configuration file.
The configuration file for fai-make-nfsroot.
The NFS configuration file for exported filesystems.
The script will write the values of FAI_CONFIGDIR and FAI_CONFIG_SRC
    to this file.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>